InventoryPro

Contents

api

Customers

Customers

A customer record represents a company or individual who owns stock held in your warehouses or receives shipments.

The Customer Object

{
  "shortID": "ACME-CORP",
  "name": "Acme Corporation",
  "address1": "123 Industrial Way",
  "address2": "",
  "city": "Springfield",
  "state": "IL",
  "zip": "62701",
  "country": "US",
  "phone": "555-0100",
  "fax": "",
  "email": "orders@acme.example.com",
  "contact": "Jane Smith",
  "active": true,
  "created": "2023-04-15T08:30:00",
  "modified": "2024-11-02T14:22:00"
}
FieldTypeDescription
shortIDstringUnique customer identifier
namestringCustomer name
address1stringPrimary address line
address2stringSecondary address line
citystringCity
statestringState or province
zipstringPostal code
countrystringCountry code
phonestringPhone number
faxstringFax number
emailstringEmail address
contactstringPrimary contact name
activebooleanfalse when discontinued
createddatetimeRecord creation timestamp
modifieddatetimeLast modified timestamp

List Customers

GET /Customer/All

Returns all customers with standard pagination parameters.

{
  "value": [
    {
      "shortID": "ACME-CORP",
      "name": "Acme Corporation",
      "address1": "123 Industrial Way",
      "address2": "",
      "city": "Springfield",
      "state": "IL",
      "zip": "62701",
      "country": "US",
      "phone": "555-0100",
      "fax": "",
      "email": "orders@acme.example.com",
      "contact": "Jane Smith",
      "active": true,
      "created": "2023-04-15T08:30:00",
      "modified": "2024-11-02T14:22:00"
    },
    {
      "shortID": "BRIGHT-MFG",
      "name": "Bright Manufacturing LLC",
      "address1": "88 Factory Rd",
      "address2": "Suite 200",
      "city": "Rockford",
      "state": "IL",
      "zip": "61101",
      "country": "US",
      "phone": "555-0201",
      "fax": "555-0202",
      "email": "inventory@brightmfg.example.com",
      "contact": "Tom Briggs",
      "active": true,
      "created": "2022-09-01T09:00:00",
      "modified": "2025-01-15T11:05:00"
    }
  ],
  "totalCount": 48,
  "page": 1,
  "pageSize": 25,
  "pageCount": 2,
  "hasMore": true
}

Get a Customer

GET /Customer/{id}

Returns 404 if the customer does not exist.

GET /Customer/ACME-CORP
{
  "shortID": "ACME-CORP",
  "name": "Acme Corporation",
  "address1": "123 Industrial Way",
  "address2": "",
  "city": "Springfield",
  "state": "IL",
  "zip": "62701",
  "country": "US",
  "phone": "555-0100",
  "fax": "",
  "email": "orders@acme.example.com",
  "contact": "Jane Smith",
  "active": true,
  "created": "2023-04-15T08:30:00",
  "modified": "2024-11-02T14:22:00"
}

Create or Update a Customer

POST /Customer

Upserts a customer. If shortID matches an existing record it is updated; otherwise a new record is created.

Request

{
  "shortID": "ACME-CORP",
  "name": "Acme Corporation",
  "address1": "123 Industrial Way",
  "address2": "",
  "city": "Springfield",
  "state": "IL",
  "zip": "62701",
  "country": "US",
  "phone": "555-0100",
  "fax": "",
  "email": "orders@acme.example.com",
  "contact": "Jane Smith"
}
FieldTypeRequiredDescription
shortIDstringYesUnique identifier. Used to match existing records on upsert.
namestringNoCustomer name
address1stringNoPrimary address line
address2stringNoSecondary address line
citystringNoCity
statestringNoState or province
zipstringNoPostal code
countrystringNoCountry code
phonestringNoPhone number
faxstringNoFax number
emailstringNoEmail address
contactstringNoPrimary contact name

Response

{
  "shortID": "ACME-CORP",
  "name": "Acme Corporation",
  "address1": "123 Industrial Way",
  "address2": "",
  "city": "Springfield",
  "state": "IL",
  "zip": "62701",
  "country": "US",
  "phone": "555-0100",
  "fax": "",
  "email": "orders@acme.example.com",
  "contact": "Jane Smith",
  "active": true,
  "created": "2023-04-15T08:30:00",
  "modified": "2025-05-31T10:00:00"
}

Discontinue a Customer

DELETE /Customer/{id}

Marks the customer as discontinued. Historical records are preserved. Returns 204 on success.

DELETE /Customer/ACME-CORP

Permissions

ActionPermission
List / GetCustomers List (SecurityID 130)
Create / Update / DiscontinueCreate/Modify Customer (SecurityID 131)

On this page